perl-Data-Validate-DNS-TLSA-0.02-alt1.noarch.rpm


Advertisement

Description

perl-Data-Validate-DNS-TLSA - Validate DNS Transport Layer Security Association (TLSA) Record Values

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Data-Validate-DNS-TLSA-0.02-alt1.noarch.rpm
Package name perl-Data-Validate-DNS-TLSA
Package version 0.02
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 27.47 KB
Installed size 27.47 KB
This module offers functions for validating DNS Transport Level Security
Association (TLSA) record fields to make input validation and untainting easier
and more readable.
All of the functions return an untainted value on success and a false value
(undef or empty list) on failure.  In scalar context you should check that the
return value is defined.
All functions can be called as methods if using the object oriented interface.

Alternatives

Package Version Architecture Repository
perl-Data-Validate-DNS-TLSA - - -

Requires

Name Value
/usr/share/perl5 -
perl(List/Util.pm) >= 1.330
perl(Taint/Util.pm) -
perl(parent.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Data/Validate/DNS/TLSA.pm) = 0.020
perl-Data-Validate-DNS-TLSA = 0.02-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Data-Validate-DNS-TLSA-0.02-alt1.noarch.rpm
Source Package perl-Data-Validate-DNS-TLSA-0.02-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Data-Validate-DNS-TLSA rpm package:
    # sudo apt-get install perl-Data-Validate-DNS-TLSA

Files

Path
/usr/share/doc/perl-Data-Validate-DNS-TLSA-0.02/Changes
/usr/share/doc/perl-Data-Validate-DNS-TLSA-0.02/LICENSE
/usr/share/doc/perl-Data-Validate-DNS-TLSA-0.02/README
/usr/share/perl5/Data/
/usr/share/perl5/Data/Validate/
/usr/share/perl5/Data/Validate/DNS/TLSA.pm

See Also

Package Description
perl-Data-Validate-Email-0.06-alt1.noarch.rpm common email validation methods
perl-Data-Validate-Image-0.012002-alt1.noarch.rpm Validates an image and returns basic info
perl-Data-Validate-Japanese-0.01001-alt1.noarch.rpm Validate Japanese Input
perl-Data-Validate-MySQL-0.03-alt1.noarch.rpm validate against MySQL data types
perl-Data-Validate-Perl-0.02-alt1.noarch.rpm validates in-memory perl data using a specification
perl-Data-Validate-Perl-scripts-0.02-alt1.noarch.rpm Data-Validate-Perl scripts
perl-Data-Validate-Sanctions-0.11-alt1.noarch.rpm Validate a name against sanctions lists
perl-Data-Validate-Sanctions-scripts-0.11-alt1.noarch.rpm Data-Validate-Sanctions scripts
perl-Data-Validate-Struct-0.1-alt2.noarch.rpm Validate recursive Hash Structures
perl-Data-Validate-Type-1.6.0-alt1_10.noarch.rpm Public interface to Params::Util offering data type validation functions
perl-Data-Validate-UUID-0.1.1-alt1.noarch.rpm Data Validator to check for well formed UUIDs
perl-Data-Validate-VIN-0.04-alt1.noarch.rpm Perl extension for basic validation of
perl-Data-Validate-WithYAML-0.18-alt1.noarch.rpm Validation framework that can be configured with YAML files
perl-Data-Validate-WithYAML-Plugin-Country-0.03-alt1.noarch.rpm check whether a given value is a valid country code
perl-Data-Validate-WithYAML-Plugin-EMail-0.04-alt1.noarch.rpm Plugin for Data::Validate::WithYAML to check email addresses
Advertisement
Advertisement